#!/usr/bin/env python

import unittest

import baker2dorder
import baker2d
import baker3d
import cubic2d
import pattern
import qhull
import quadratic2d


if __name__ == '__main__':
  tests = [
            unittest.TestLoader().loadTestsFromTestCase(baker2dorder.Test),
            unittest.TestLoader().loadTestsFromTestCase(baker2d.Test),
            unittest.TestLoader().loadTestsFromTestCase(baker3d.Test),
            unittest.TestLoader().loadTestsFromTestCase(cubic2d.Test),
            unittest.TestLoader().loadTestsFromTestCase(pattern.Test),
            unittest.TestLoader().loadTestsFromTestCase(qhull.Test),
            unittest.TestLoader().loadTestsFromTestCase(quadratic2d.Test),
  ]

  for test in tests:
    unittest.TextTestRunner(verbosity=3).run(test)
